<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:43 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ReverseJobAndTransactionForDrop (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReverseJobAndTransactionForDrop (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReverseJobAndTransactionForDrop.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html" target="_top">Frames</a></li>
<li><a href="ReverseJobAndTransactionForDrop.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionForDrop">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd</div>
<h2 title="Class ReverseJobAndTransactionForDrop" class="title">Class ReverseJobAndTransactionForDrop</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionForDrop</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.ReverseJobAndTransactionForDrop</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ReverseJobAndTransactionForDrop</span>
extends <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionForDrop</a>
implements <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>cedric dumoulin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionForDrop">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionForDrop</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html#request">request</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html#targetEditPart">targetEditPart</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#ReverseJobAndTransactionForDrop--">ReverseJobAndTransactionForDrop</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#canExecute--">canExecute</a></span>()</code>
<div class="block">Check if the Job and its command can be executed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#executePreJob--">executePreJob</a></span>()</code>
<div class="block">This method is called after mouse release, and before the Job.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.viewers.ITreeSelection</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#getCurrentSelection--">getCurrentSelection</a></span>()</code>
<div class="block">Get the current selection from PlatformUI.getWorkbench() ...</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#getPackageName-org.eclipse.papyrus.designer.languages.java.reverse.ui.dialog.ReverseCodeDialog-">getPackageName</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/ReverseCodeDialog.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dialog">ReverseCodeDialog</a>&nbsp;dialog)</code>
<div class="block">Find the name of the model provided by the dialog</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#getSelectedProjectName--">getSelectedProjectName</a></span>()</code>
<div class="block">Get the name of the currently selected project</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Shell</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#getShell--">getShell</a></span>()</code>
<div class="block">Get the active shell from the active page.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected org.eclipse.gmf.runtime.notation.View</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#getTargetView-org.eclipse.gef.EditPart-">getTargetView</a></span>(org.eclipse.gef.EditPart&nbsp;targetEditPart)</code>
<div class="block">Returns the Notation View which is the drop target</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">init</a></span>(org.eclipse.gef.Request&nbsp;request,
    org.eclipse.gef.EditPart&nbsp;targetEditPart)</code>
<div class="block">Initialization from a <code>DropStrategy</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#jobPostProcess--">jobPostProcess</a></span>()</code>
<div class="block">Method called from the job, after the transactional method.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#jobPreprocess-org.eclipse.core.runtime.IProgressMonitor-">jobPreprocess</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Compute all variables required for Reverse.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html#jobRun-org.eclipse.core.runtime.IProgressMonitor-">jobRun</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Run the job in a <code>Transaction</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionForDrop">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionForDrop</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html#getSourceEObjects-org.eclipse.gef.Request-">getSourceEObjects</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html#getSourceObjects-org.eclipse.gef.Request-">getSourceObjects</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ReverseJobAndTransactionForDrop--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ReverseJobAndTransactionForDrop</h4>
<pre>public&nbsp;ReverseJobAndTransactionForDrop()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(org.eclipse.gef.Request&nbsp;request,
                 org.eclipse.gef.EditPart&nbsp;targetEditPart)
          throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">IJobAndTransactionForDrop</a></code></span></div>
<div class="block">Initialization from a <code>DropStrategy</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">init</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">init</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionForDrop</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>request</code> - </dd>
<dd><code>targetEditPart</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-"><code>IJobAndTransactionForDrop.init(org.eclipse.gef.Request, org.eclipse.gef.EditPart)</code></a></dd>
</dl>
</li>
</ul>
<a name="canExecute--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canExecute</h4>
<pre>public&nbsp;boolean&nbsp;canExecute()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#canExecute--">IJobAndTransactionForDrop</a></code></span></div>
<div class="block">Check if the Job and its command can be executed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#canExecute--">canExecute</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#canExecute--"><code>IJobAndTransactionForDrop.canExecute()</code></a></dd>
</dl>
</li>
</ul>
<a name="executePreJob--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executePreJob</h4>
<pre>public&nbsp;void&nbsp;executePreJob()
                   throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">This method is called after mouse release, and before the Job.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#executePreJob--">executePreJob</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="jobPreprocess-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobPreprocess</h4>
<pre>public&nbsp;void&nbsp;jobPreprocess(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
                   throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Compute all variables required for Reverse.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPreprocess-org.eclipse.core.runtime.IProgressMonitor-">jobPreprocess</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>monitor</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="jobRun-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobRun</h4>
<pre>public&nbsp;void&nbsp;jobRun(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
            throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobRun-org.eclipse.core.runtime.IProgressMonitor-">IJobAndTransactionForDrop</a></code></span></div>
<div class="block">Run the job in a <code>Transaction</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobRun-org.eclipse.core.runtime.IProgressMonitor-">jobRun</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.IJobAndTransactionForDrop#jobRun()</code></dd>
</dl>
</li>
</ul>
<a name="jobPostProcess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobPostProcess</h4>
<pre>public&nbsp;void&nbsp;jobPostProcess()
                    throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPostProcess--">IJobAndTransactionForDrop</a></code></span></div>
<div class="block">Method called from the job, after the transactional method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPostProcess--">jobPostProcess</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPostProcess--"><code>IJobAndTransactionForDrop.jobPostProcess()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCurrentSelection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentSelection</h4>
<pre>protected&nbsp;org.eclipse.jface.viewers.ITreeSelection&nbsp;getCurrentSelection()
                                                                throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Get the current selection from PlatformUI.getWorkbench() ...</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSelectedProjectName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedProjectName</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSelectedProjectName()</pre>
<div class="block">Get the name of the currently selected project</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the selected project into explorer</dd>
</dl>
</li>
</ul>
<a name="getShell--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShell</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Shell&nbsp;getShell()</pre>
<div class="block">Get the active shell from the active page.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getPackageName-org.eclipse.papyrus.designer.languages.java.reverse.ui.dialog.ReverseCodeDialog-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPackageName</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPackageName(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/ReverseCodeDialog.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dialog">ReverseCodeDialog</a>&nbsp;dialog)</pre>
<div class="block">Find the name of the model provided by the dialog</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dialog</code> - opened dialog to user</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the model. If the user has changed this name, return the name provided by the user; return the default model name
         otherwise.</dd>
</dl>
</li>
</ul>
<a name="getTargetView-org.eclipse.gef.EditPart-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTargetView</h4>
<pre>protected&nbsp;org.eclipse.gmf.runtime.notation.View&nbsp;getTargetView(org.eclipse.gef.EditPart&nbsp;targetEditPart)</pre>
<div class="block">Returns the Notation View which is the drop target</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>targetEditPart</code> - The drop target edit part</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The drop target notation View</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReverseJobAndTransactionForDrop.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html" target="_top">Frames</a></li>
<li><a href="ReverseJobAndTransactionForDrop.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionForDrop">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
